VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DragStartMouseObserver Struct Reference
New classes » Version 4.9

Helper object to be used to decide if a mouse move is far enough to start a drag operation. More...

`#include <dragging.h>`

## Public Member Functions
void | init (CPoint mousePos)
bool | shouldStartDrag (CPoint mousePos) const
CPoint | getInitPosition () const

## Detailed Description

Helper object to be used to decide if a mouse move is far enough to start a drag operation.

See also
  shouldStartDrag

## Member Function Documentation

## ◆ getInitPosition()

CPoint getInitPosition | ( |  | ) | const
| inline

## ◆ init()

void init | ( | CPoint | mousePos | ) |
| inline

## ◆ shouldStartDrag()

bool shouldStartDrag | ( | CPoint | mousePos | ) | const
| inline

The documentation for this struct was generated from the following file:

- dragging.h